summaryrefslogtreecommitdiffstats
path: root/utils/push-test-logs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/push-test-logs.sh')
-rw-r--r--utils/push-test-logs.sh28
1 files changed, 22 insertions, 6 deletions
diff --git a/utils/push-test-logs.sh b/utils/push-test-logs.sh
index dcfa585d4..972853b78 100644
--- a/utils/push-test-logs.sh
+++ b/utils/push-test-logs.sh
@@ -18,6 +18,15 @@ project=$PROJECT
branch=${GIT_BRANCH##*/}
testbed=$NODE_NAME
dir_result="${HOME}/opnfv/$project/results/$branch"
+node_list=(\
+'opnfv-jump-1' 'opnfv-jump-2' 'ericsson-pod1' 'ericsson-pod2' \
+'intelpod2-jumphost' 'intel-pod3' 'intel-pod5' 'intel-pod6' \
+'intel-pod8' 'huawei-us-deploy-bare-1' 'orange-fr-pod2')
+
+if [[ ! " ${node_list[@]} " =~ " ${testbed} " ]]; then
+ echo "This is not a CI POD. Aborting pushing the logs to artifacts."
+ exit 0
+fi
if [[ "$branch" == "master" ]]; then
project_artifact=logs/$project/$testbed/$res_build_date
@@ -31,12 +40,19 @@ mkdir -p $dir_result
# copy folder to artifact
if [ -d "$dir_result" ]; then
if [ "$(ls -A $dir_result)" ]; then
- echo "copy result files to artifact $project_artifact"
- gsutil -m cp -r "$dir_result" gs://artifacts.opnfv.org/"$project_artifact"/
-
- # delete local results
- # should not be useful as the container is about to die...just in case
- rm -Rf $dir_result/*
+ set +e
+ gsutil&>/dev/null
+ if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed";
+ else
+ gsutil ls gs://artifacts.opnfv.org/"$project"/ &>/dev/null
+ if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed.";
+ else
+ echo "copy result files to artifact $project_artifact"
+ gsutil -m cp -r "$dir_result" gs://artifacts.opnfv.org/"$project_artifact"/
+ fi
+ fi
else
echo "Result folder is empty"
fi